About MaxPal

About MaxPal 13.14

Next>>

MaxPal is a wizard-driven utility that links Maximizer's contact management system and Sage™ Pastel™ Partner™ accounting packages. Maximizer’s Client details (all, or selected entries) are written to CSV files that can be imported into Sage™ Pastel™’s Customer (Debtor) database.

Your sales team enters prospects and customers into Maximizer™. Once MaxPal is installed, your financial department does not need to be concerned with changes of address and/or new customers’ details – all the details will come through from Maximizer™ into Pastel™ almost automatically.

Users who prefer to make their changes in Pastel™ and have them transferred to Maximizer™ could license the "Peer MaxPal" option, which allowed a two-way transfer. This option is currently unavailable and will be reinstated if there is demand.

MaxPal can be run as an import process, or can be configured to start automatically in background mode and check details periodically. You have the ability to select all Clients from Maximizer™, or a selection based on Maximizer’s user-defined fields.

MaxPal works only with the correct versions of Sage™ Pastel™ and Maximizer™:

MaxPal 7.8 runs with Pastel™ Versions 2004 and Xpress 2004 (7.0)

MaxPal 8.8 runs with Pastel™ Versions 2005 and Xpress 2005 (8.0)

MaxPal 7.8 and 8.8 run with Maximizer™ 8.0 and 9.0 (Professional and Enterprise editions).

MaxPal 9.9 runs with Maximizer™ 8.0 and 9.0 (Professional and Enterprise editions) and certain versions of Pastel™ Accounting 2007 and Xpress 2007 (9.0):

MaxPal 9.9.5 and earlier run with Maximizer™ 8.0 and 9.0 (Professional and Enterprise editions), and Pastel™ Accounting 2007 versions prior to 9.2.1.

MaxPal 9.9.8 to 9.9.12 run with Pastel™ Accounting 2007 9.2.1, and Maximizer™ 8.0 and 9.0 (Professional and Enterprise editions).

MaxPal 10.10.0 runs with Pastel™ Accounting 2009, and Maximizer™ 8.0, 9.0, 10, and 10.5 (Professional and Enterprise editions).

MaxPal 11.10.0 runs with Pastel™ Partner 11 (2010), and Maximizer™ 9.0, 10, and 10.5 (Professional and Enterprise editions).

MaxPal 11.11.0 runs with Maximizer™ 10, 10.5, and 11 (Professional and Enterprise editions), and Pastel™ Partner 2011 (11.97.4 and later).

MaxPal 11.12.0 runs with Maximizer™ 10, 10.5, and 11 (Professional and Enterprise editions), and Pastel™ Partner 2013 (12).

MaxPal 12.12.0 runs with Maximizer™ 10, 10.5, 11, and 12 (Professional and Enterprise editions), and Pastel™ Partner 2014 (12).

MaxPal 13.14.0 runs with Maximizer™ 11, 12, and 13 (Professional and Enterprise editions), and Sage™ Pastel™ Partner 2015 (14).

Up to MaxPal 11.11, the first number in the MaxPal version was the version of Pastel at which MaxPal is targeted. The second was the recommended version of Maximizer (which is not as fussy as Pastel). Now the first number in the MaxPal version is the recommended version of Maximizer and the second is the target version of Pastel. This allows for the more frequent changes on the Pastel side and reflects the flow of data from Maximizer to Pastel. The third number in the Version number is the Revision number. This help file is for MaxPal 13.14.0 (i.e. Rev 0) and later, and includes Help on the changes for the Export version. For a list of recent changes, click Next>>. Prior to version 9.9.2, MaxPal was known as Pastelizer. This was changed because Softline Pastel felt threatened by the presence of the word "Pastel" in the name.

MaxPal runs in Demo or Standard mode. Demo enables you to update 5 Customers per update session with a maximum of 30. To run in Standard mode the program must be registered. This enables a licensed number of Customers per session and allows multiple templates to be saved. The "Billing" feature will run as a demo unless this feature has been registered (5 invoices per session with a maximum of 30).

For details on running Billing, see Recurring Billing Tab and Casual Billing Tab

Once you have run MaxPal successfully a few times, you can Run Automatically on Start-Up and Run in Background Mode to set up a fully automatic operation whereby MaxPal starts up when the PC does, and waits in the background to perform specified imports at set intervals or times.

Note: To browse through following topics you can use the Next >> and << Previous links at the top and bottom of each page.

Published by Communication in Action cc trading as Software Africa
Copyright © Partner Systems (Pty) Ltd. 1996 – 2000 and Communication in Action (Pty) Ltd: 1998 – 2015.
All rights reserved.

Contact Details:

Communication in Action cc t/a Software Africa:

126 Kelvin Drive (opposite Gary Ave), Morningside Manor, Sandton 2191 South Africa.
Tel local: 011 802-2685. Tel international: +27 11 802-2685.
Fax to e-mail (South Africa only): 086 635-7902/3.
E-mail: info@softwareafrica.co.za, rick@softwareafrica.co.za
Web site: www.softwareafrica.co.za
MaxPal web page (for updates): www.softwareafrica.co.za/maxpal.htm

<<FAQ ~ Next>>


What is New in MaxPal

What's New in MaxPal – Recent Editions:

<<Previous – Next>>

Export Version 13.14.0 – 12 March 2015

Tested program with Maximizer 13 –it works!
Minor changes for Pastel 14.0.4 and 14.0.5 (2015).
Updated Help.

Export Version 12.12.0 – 15 October 2014

Tested program with Maximizer 12 –it works!
Added button "Read Logfile..." to Recurring Billing tab, Sub cmdReadLog and Function ReadLogPrices. This feature is intended for use when you move MaxPal to another machine and don't feel like re-entering all the prices. It allows you to scan the Log File and get the most recent Membership Prices and Periods. All Descriptions found will replace those in the Price List on the right of the button. Descriptions found in the Log File that do not exist in the Price List may optionally be added.
Updated Help.

Export Version 11.12.4 – 8 June 2014

Modified pasDebtors Sub WriteLine to Export new CSV File format 12.1.6

Export Version 11.12.1 – 30 May 2014

Modified pasDebtors, pasGParm Type RecordType to match PSQL.

Export Version 11.12.1 – 19 March 2013

In Function ReadMaxTableList, allow user to try another path if File not found. Updated Help.

Export Version 11.12.0 – 25 February 2013

Fixed pasDebtor = CustomerMaster (ACCMASD) and pasDelivery = DeliveryAddresses (ACCDELIV) tables for Pastel 12.

Export Version 11.11.2 – 19 May 2012

New Export button on "to Pastel" tab to Export UDF Category List to file, for debugging.

Export Version 11.11.1 – 12 October 2011

For SA Chefs: New Membership Type UDF on "Recurring Billing" tab, separate from Membership Category UDF on "to Pastel" tab.
The new "Membership Categories" UDF may start with a number, in which case that is the Category number in Pastel.
Prices on "Recurring Billing" tab are now inclusive of VAT.

Export Version 11.11.0 – 12 June 2011

Fixed pasDCParm = ACCPRMDC (CustSuppParameters table) for the new version of Pastel 2011 (11.97.4) at SA Chefs.

Export Version 11.10.3 – 31 October 2010

Corrected delivery addresses and recreated Version 10.10.2 code to use "Email if possible, otherwise Print" in the Options menu > Pastel Setup. This code was lost along with the code for versions 10.10.1 to 10.10.5 when we accidentally based version 11.10.0 on 10.10.0. Re-activated delivery addresses code, and address combo boxes on the "To Pastel" tab.

The above was a fix for Bug-202 on Module reported 12 Oct 2010 by Jason, fixed by Vivian on 12 Oct 2010: Delivery addresses being written when not needed. Lost ability to specify that e-mail addresses should be used if present. (Restored code previously commented out. Checked email address and if present and valid set output to email otherwise print.)

Export Version 11.10.2 – 12 October 2010

Serious Bug-201 on Module reported 12 Oct 2010 by Jason, fixed by Vivian on 12 Oct 2010: When installed on a new PC, MaxPal no longer exported the Address fields from Maximizer. (Changed to ignore combo box and write debtor's address irrespective)

Export Version 11.10.1 – 5 October 2010

Changed Pastel import file format, adding field "Accept e-mail" (always set to "Y") to agree with Partner 11 (2010).

Export Version 11.10.0 – 28 September 2010

Accept Pastel Partner 11 (2010). Ledger Parameters file will not work on earlier versions. Changes shown in grey below were lost.

Export Version 10.10.5 – 10 September 2009

Bug-147 on Doc/Statement option reported 9 Sep 2009 by Jason, fixed by Rick on 10 Sep 2009:
Doc/Statement option behaved as if everyone had e-mail (was using a string of spaces).

Export Version 10.10.4 – 4 September 2009

Bug-142 on Program reported 18 Aug 2009 by Jason, fixed by Rick on 4 Sep 2009: Type mismatch while doing CreateNewDebtorRecord.

Export Version 10.10.3 – 7 August 2009

Fixed Doc/Statement option: Was not writing to file.

Export Version 10.10.2 – 6 July 2009

1. Fix Bug: When debtor has not paid before, last date paid is coming through as 1899.

2. New option: The settings for menu item Options > Pastel Setup were not versatile enough: For Document Printing and Statement Printing the problem is that users want to e-mail if there is an e-mail address, otherwise to print. A new option has therefore been added to the top two choices: "E-mail if possible, otherwise Print".

Export Version 10.10.1 – 5 June 2009

Added a warning on the Multi-Year Billing question (that arises only if never set on that PC) "Must Multi-Year Billing Falsify the Date Billed?". The warning is: "CAUTION! The 'Cancel' option will cause future-dated Dates Billed to be re-invoiced!".

Export Version 10.10.0 – 14 April 2009

Accept Pastel Accounting 2009. Will probably not work on earlier versions.

Fixed problem that some dates from Pastel (e.g. Date Last Paid) did not come through correctly into Maximizer on some machines (e.g. 2008-01-17 would appear as 20 August 2001, i.e. 20/08/01).

New option on File menu: "Log All Data" (turned off by default). When turned on, MaxPal logs each customer written to the export file (this was how it behaved previously, causing the log file to grow rapidly, and making errors and invoices difficult to find).

Export Version 9.9.12 – 7 August 2008

Accept all Versions of Pastel Accounting 2007 (9) without complaining: 9.165.3 is the latest

Export Version 9.9.11 – 24 June 2008

Accept Pastel Accounting 2007 9.3.1 (9.163). Made Multi-Year billing Method optional.

Export Version 9.9.10 – 22 April 2008

If Date Joined is blank, it is set to Last Month so as to force billing.
We now check and Log an Error if Date Billed was not saved correctly.
Fixed Date conversions in billing to work with Long Date Format = "MMMM dd, yyyy" (e.g. "April 22, 2007").

Export Version 9.9.9 – 28 November 2007

Refined Export Version: CSV Naming (always "MaxCusNN.csv" and ""MaxInvNN.csv" where NN = Next available Customer CSV file number). Check for CSV problems that halt import (typically quotes and commas in text). It is recommended that you delete the MaxCus and MaxInv csv files after importing them.

Export Version 9.9.8 – 20 November 2007

"Export Version" for Pastel 9.2.1, 9.3.1 and later: This stripped-down version does not write directly to Pastel files, instead it produces CSV files of Customers (full list) and invoices that you have to import into Pastel. Peer MaxPal (the feature to transfer newer data from Pastel to Maximizer) was removed for this version: No date comparisons are done, instead the full Customer list is printed to CSV file. This became necessary because Pastel changed their file structures in 9.2.1, but failed to update the Pervasive DDF file definitions, with the result that ODBC is not reliable and writing directly may corrupt the Debtors (Customer) file.

Version 9.9.7 – 2 October 2007

Reinstated the feature that multi-year specials (in Recurring Billing) have their invoiced date set the required number of years into the future (e.g. for a 3-year special the "date last billed" would be set two years forward). This had been removed by AP on 2005-08-19 (reason unknown).

Version 9.9.6 – 31 August 2007

Changes to match the changes to the file structure for Pastel™ Accounting 2007 9.2.1 - Customer / Supplier Parameters (file ACCPRMDC.DAT), Document Headers (ACCHISTH.DAT), and Document Lines (ACCHISTL.DAT). However it appears that the Customer Master ACCMASD.DAT has also changed, but the corresponding DDF file has not been updated, leading to problems in writing directly to the file (see Export Version 9.9.8 above).

Version 9.9.5 – 28 June 2007

Trim the Category UDF Description so that spaces at the end are ignored.
Delete Setting for Billing Period if corresponding Billing Setting is deleted.

Version 9.9.4 – 19 June 2007

The program will now warn you if, on Recurring Billing, it is unable to save changed prices or periods to the Registry (probably because the user does not have Administrator rights to the PC).

Version 9.9.3 – 6 March 2007

Changes to fit in with the latest changes to the Pastel file structure for the 13th month.

Version 9.9.2 – 1 January 2007

Program renamed: Prior to version 9.9.2, MaxPal was known as Pastelizer. Softline (Pty) Ltd, through their "Intellectual Property Practitioners" Hahn & Hahn Inc, gave notice in mid-December 2006 that they considered the use of the word "Pastel" within the name "Pastelizer" an infringement of the trade mark "Pastel™" and that our product "competed unfairly" with Pastel. This was despite the fact that our program is an enhancement to Pastel Accounting and boosts sales of that product, and was known to Pastel (and at times was even promoted by them!) for around ten years. To avoid offending Softline, our product was therefore renamed.

Version 9.9.1 – 10 November 2006

Added billing for Pastel™ 2007. Attempted bug fixes.

Version 9.9.0 – 18 October 2006

Fixed Table structures for Pastel™ 2007 (9), no billing yet. Debtors file now has a Create Date - set when Creating record.

Rev. 13: Version 7.8.13 and 8.8.13 – 20 March 2006

You can now do billing during the 13th month (temporary month overlapping into the next financial year).

Fixed unusual bug: System-specific document numbers were not incrementing.

Rev. 12: Version 7.8.12 and 8.8.12 – 8 March 2006

You can now transfer Delivery Addresses from Pastel™ to Maximizer when the rest of the Debtor information transfers: Tick the option "Do Delivery Address" on the first ("Open") Tab. The address will appear in Maximizer's alternate addresses named "Delivery".

Due to intermittent strange behaviour in Maximizer (it doesn't always go to the top of the list when told to), the program is more aggressive about getting to the top of the list and, if there is any doubt, will refuse to create new Maximizer Clients from Pastel™ if the "Check all Maximizer Clients" option is ticked.

New option for testing: Options > Keep Maximizer Visible. Use this at your own risk and do not interfere with Maximizer while the program is running!

Fixed a bug that sometimes caused the "Match Account Number (not Name) in preventing duplication" check box to grey out but remain ticked.

Fixed a rare bug that caused the first UDF read from Maximizer to not be recognised as a valid choice in the lists.

Progress messages, error-checking and error-reporting have been improved. "Pause" works in more places.

Rev. 11: Version 7.8.11 and 8.8.11 – 14 February 2006

You can now turn the following transfer options on or off:

  • Creating new Pastel™ Debtors (ones that exist in Maximizer but not in Pastel™)

  • Updating Pastel™ Debtors (they exist in both, but are newer in Maximizer)

  • Creating new Maximizer Clients (exist in Pastel™ but not in Maximizer)

  • Updating Maximizer Clients (exist in both, newer in Pastel™)

    • (You must still license Peer Version in order to be able to use the last two.)

    If you don't update in a particular direction, you can tell the program not to check that Debtor again until it changes.

    These options appear at the bottom of the (first) "Open" Tab. The option to update all Pastel™ debtors has been moved here too (from the "To Pastel™" Tab).

    You can run with all these options off, and still transfer selected Pastel™ financial information to Maximizer ("To Maximizer" Tab) and do billing into Pastel™ (Recurring and Casual Billing Tabs).

    Added "What's New" (this page!) to Help, and menu item Help > "What's New?".

    Rev. 10: Version 7.8.10 and 8.8.10 – 9 February 2006

    For those who want to e-mail invoices and statements, the program can set your Pastel™ defaults for each customer it transfers: You no longer have to go to each customer in Pastel™ and change the settings there. See menu item Options > Pastel™ Setup.

    Extra debugging and error trapping have been added, and the log file messages improved to help with initial synchronisation.

    Rev. 9: Version 7.8.9 and 8.8.9 – 12 January 2006

    To help with the initial synchronisation between Pastel™ and Maximizer, there is now an option to accept the Pastel™ entries as definitive, even if they are not the most recent. This is useful if staff have been doing most of their input on Pastel™. (Originally called "Accept Pastel™ even if older", now (Rev. 11) called "Don't check newer Max. Again", on the "Open" Tab)

    Address transfer from Pastel™ to Maximizer has been improved, so that Postal Codes and City are in the right place in Maximizer. "City" must directly precede "Postal Code", which must be four numeric digits.

    Three extra fields have been added on the "To Maximizer" Tab: Total Sales for year, previous year, or both.

    Rev. 8: Version 7.8.8 and 8.8.8 – 12 December 2005

    First full release of Peer Version, giving the ability to transfer data from Pastel™ to Maximizer instead of just from Maximizer to Pastel™.

     <<Previous – Next>>


Qualifying your Maximizer Clients for Import into Pastel

<<Previous – Next>>

Unless you want all your Maximizer Clients to be imported, you should use a user-defined field in Maximizer to mark the Clients you wish to be imported into Pastel. Preferably this UDF should be set to apply to Clients and Individuals, but not Contacts.

It is highly recommended that you go through your existing Maximizer database before your first import, specifying a UDF for each client to be imported. You may wish to create an alphanumeric UDF called "Pastel Customer" and type "Y" in the field. You would then use the "Marked Clients" method of import. You can use Edit > Global Edit… in Maximizer for this.

Clients' Contacts are not imported, whether you mark them or not.

Please Note:

This feature uses all data types of Maximizer UDFs (Alphanumeric, Numeric, Table and Date. To avoid ambiguity, dates are represented in the format yyyy/mm/dd – note the two-digit month and day).


Installing MaxPal

Running a Program

In the instructions that follow, you will be asked to "run" a program. You may do this in several ways:

a) Click the Start button of Windows 98, NT, 2000, XP, 7, or 10, select “Run”. In the “Open” text box type the path and name of the program. Use the Browse button to find the file if you are unsure. Click the OK button.

b) Alternatively, run Windows Explorer (or "My Computer" on the Desktop), locate the file, and double-click it.

Installing from CD-ROM

Insert the CD-ROM into the appropriate drive.

Run “D:\Setup.exe” or “E:\Setup.exe”, depending on the letter of your CD-ROM drive.

The default Destination Folder is C:\Program Files\MaxPal – this is where MaxPal is installed by default. You may either accept this folder or choose another one.

Once the installation has finished, you should find MaxPal on your Start > Programs menu.

You can right-drag this onto the desktop and choose “copy here” in order to put the shortcut on your desktop.

Installing an Internet download

An Internet download will be in the form of a single self-extracting zipped file containing the entire package (extension: .EXE). Save the file into a separate temporary folder, e.g. C:\PasTemp.

Run the program. It will offer to unzip. Let it do so and extract the contents to C:\PasTemp.

Then run C:\PasTemp\Setup.exe from the folder and proceed as above.

Delete the temporary folder after installation has been successful.

Once the installation has finished, you can run MaxPal by selecting Start > Programs >MaxPal.

Network Installation

If you are running on a network you should install MaxPal on a workstation, not the server. Install on a PC that has Maximizer already installed. It does not matter whether Pastel is installed on that workstation.

MaxPal, Pastel and Maximizer use the Pervasive SQL database technology. MaxPal automatically uses the Pervasive SQL installed by Maximizer and/or Pastel.

Once the program is installed, you can access the Pastel data whether located on the server or on any other drive from within MaxPal. Network drives must be mapped to a drive letter – MaxPal does not recognise UNC paths (starting with \\) for Pastel data.

Upgrades

Occasionally visit www.softwareafrica.co.za/maxpal.htm and compare the versions on the web site with your version (shown in the title bar). Make sure that you download a compatible version: The first two numbers are significant, e.g. version 7.8.7 is an upgrade of 7.8.5 and you can download and install it. However, version 8.8.7 is for Pastel 8 (2005) and Maximizer 8, so if you are running 7.8.7 (Pastel 7 (2005) and Maximizer 8), do not try this version until you upgrade your Pastel to 2005..


Registering MaxPal

Note! You do not have to register MaxPal immediately in order to use it.

When MaxPal is first run it will be in “DEMO” mode until registered. In “DEMO” mode, MaxPal will only import the first 5 records matching the Import Criteria and there is an absolute limit on the import of 30 items.

When starting up in DEMO mode, you will see a message asking if you want to register. If you want to continue running MaxPal as a Demo for evaluation purposes, click No. If you wish to register, click Yes to display the Registration Window. You can also access the Registration Window from the Help > Register menu in MaxPal.

Max No. of Debtors: MaxPal is priced according to the Maximum number of Maximizer Clients that will be transferred to Pastel, with breakpoints at 1000, 5000 and unlimited. Each of these is progressively more expensive. This enables a small company to afford MaxPal, while a large company with thousands of customers will get more value from the package and hence pay more.

Enable Billing features? You may register to have Billing features enabled, or not. Enabling Billing features costs an extra 50%. If not enabled, Billing will run as a demo, limited to 5 invoices at a time with an absolute limit of 30 invoices ever.

Peer MaxPal? Like Billing features, this is an extra module priced in the same way. Enabling Peer MaxPal allows the program to transfer name and address details from Pastel to Maximizer if the data was changed more recently in Pastel. Without it, the transfer always takes place from Maximizer to Pastel. This module has been deactivated in the Export Version.

For the latest prices, consult the Software Africa web site (MaxPal page) at www.softwareafrica.co.za/maxpal.htm

Enter the required data (fields marked with a red dot are mandatory), then either:

(a) Click Copy, go to your e-mail program, start a new message, and paste from the clipboard. E-mail it to the address given. If you have not yet paid, please provide a credit card number, expiry date, the last three digits on the reverse of the card, and authorisation for payment; or

(b) Click Print. This will print a registration form on your Windows Default printer. Fax this form to Communication in Action together with credit card authorisation or proof of payment.

Click Cancel to exit. The information entered so far is saved.

The Unlocking Code will be supplied by e-mail within 2 working days. Select and Copy the Unlocking Code from the e-mail. Call up the Registration Window again from the Help menu. Paste in the Unlocking Code (Ctrl+V), and click Unlock. The program will now be registered according to the license conditions you have chosen.

Warning: MaxPal is registered for a specific PC. If you wish to install it on a different PC you will have to go through the registration process again and may be required to provide proof that you are not installing at a different site.


Setting Up & Importing

Setting up the import process is “Wizard” driven using a Tabbed dialog box. You can click Next >> or << Back to move between the following Tabs:

Open Tab

To Pastel Tab

To Maximizer Tab

Recurring Billing Tab (optional)

Casual Billing Tab (optional)

Transfer Tab

To go to a specific Tab, you can also click on that Tab. However the Combo boxes may not always refresh, and some checking may be deferred until you click the Import button.


Open Tab

When the MaxPal main Window appears you are presented with a section on the left for Maximizer, and a section on the right (containing a directory list) for Pastel.

Left-Hand Side – Maximizer Database

Open the Maximizer Database before running MaxPal and it will find the database you wish to import. The database name and path will be shown.

If you open MaxPal without Maximizer running, you’ll be asked to run Maximizer: In this case, click OK, run Maximizer and log on to the database as usual. Once it has refreshed your Address Book, return to MaxPal (Alt+Tab) and click the button [Try Newly Selected Database], then your Maximizer database will be found automatically.

The Selected Maximizer Database is:

This shows the Maximizer Database name you are running, e.g. (ChefsMax8)

The Database Path is:

This shows the path on which your Maximizer database is stored, e.g. (C:\Work\VB\Pasteliz\TestData\ChefMax8): Check that it is correct before proceeding.

Maximizer List Selection

You can choose to process as many or as few Maximizer Clients as you like, by selecting one of the options: Current Client, Current List, or All Companies & Individuals. Depending on your Import Criteria (see next screen) one, some, all, or none of the processed records may actually be imported.

Current Client:

Choosing this option will cause MaxPal to process only one record, which will be the current client you are working with on the Maximizer database. When you click on it, it shows you the name of the client that you selected.

Current List:

Choosing this option will cause MaxPal to process all clients currently visible in Maximizer’s Address Book window. The number of items will be shown when you click this option. To choose clients in Maximizer according to specific criteria, use the Search menu.

All Companies & Individuals:

Choosing this option will cause MaxPal to process all Companies and Individuals you have currently in the selected Maximizer database. When processing starts there will be a delay before the first client is processed, as MaxPal tells Maximizer to search for all Companies and Individuals.

Button: Try Newly Selected Database:

When you have opened a database in Maximizer different from the one that was open when MaxPal started, click this button to get MaxPal to find the new database details. If you changed databases this will be done anyway when you click Next >>. You will be asked to confirm that this is indeed the database you want.

Right-Hand Side – Pastel folder

Start by selecting the drive on which your Pastel accounts are located, then find the folder.

Double-click to open the required folder in each case, so that it is shown as a picture of an "open folder".

Caution: If the folder is shown "closed" then it is not selected, even if you have clicked on it.

Open the folder in which your Pastel Partner set of accounts is stored (this is usually a sub-folder of the main Pastel program folder – normally C:\PAS04 for Pastel 2004 or C:\Xpress for Pastel Xpress). (Remember that you must have a matching version of MaxPal: 7.8 for Pastel 2004 (7), 8.8 for Pastel 2005 (8).)

If there is a password for User 0 for this set of accounts, enter it in the space provided.

If there is no password, then security has not been set up for Pastel, and you should not run Pastel and do a MaxPal import at the same time. If there are passwords, you may in fact use the password for any user with Supervisor rights, not just User 0.

Note: You should not be logged onto Pastel as the same user when running MaxPal: This will interfere with MaxPal and it may appear to "hang" (fail to respond) when invoicing –it will actually be waiting patiently for you to quit Pastel!

If MaxPal is unable to open the Pastel database it will say so. Check the folder you have selected and try again.

Bottom – MaxPal Export Version: Process which Information?

This section is for synchronizing Pastel and Maximizer.

If you want to transfer new and updated Maximizer Clients to Pastel Debtors (the way MaxPal normally works), simply accept the defaults (both checkboxes), and click Next >>. The reverse (Pastel Debtors to Maximizer Clients) is not possible with the Export Version of MaxPal.

If you do not want to make any changes to the name and address information in Pastel, uncheck the upper checkbox and click Next >>: This makes things easy if you only want to get financial data from Pastel into Maximizer User-Defined Fields, or do billing.

Write Import files for Pastel (CSV files on Pastel folder)

Use this option to transfer Maximizer Clients to Pastel Debtors. The Export Version does not check whether there have been changes in Maximizer that are more recent than any Pastel changes, it exports the entire set of marked Maximizer contacts into a CSV file. When you import this into Pastel, it will wipe out any changes in the name and address details of Pastel Debtors..

Transfer Pastel accounts fields to Maximizer ("To Maximizer" tab)

Tick this checkbox if you want to transfer financial data from Pastel accounts fields to Maximizer UDFs (User-Defined Fields) (set on the "To Maximizer" tab).

When you are ready, select Next >> and the "To Pastel" Tab will appear. If you changed your Maximizer database since the last run, you will get a warning:

Note: It is best to always use the Next >> button to move forward through the tabs – this does useful checking: If you move forward by clicking on the tabs then checking is deferred until you click “Import”.

To move back to a previous Tab you may use the << Back button or click on the appropriate tab.


"To Pastel" Tab

Pastel Customer Categories

You can choose to import Maximizer Clients into a specific Pastel Customer Category, or create a new one from here.

Use Existing Customer Category

Select the existing customer category from the drop-down list box.

Create New Customer Category

The next available category number is displayed – type a description in the text box, e.g. “Maximizer Client”. ”. This name will be saved in Pastel.

Use/Create Category from UDF

If you already have a Maximizer User-Defined Field (UDF) that contains the category you want, select it here. This name will be saved in Pastel. For this purpose you can use only Table-Type UDFs. Items in this UDF may start with a number, in which case that is used as the Category number in Pastel, and the program does not check whether it already exists in Pastel.

The new "Down Arrow" button (È) allows you to export the UDF Category List, from the table field that you have chosen alongside. You will be asked for the name of a File to Export UDF Category List to for this UDF Name. The resulting text file can then be pulled into other programs, such as Excel.

If you are using Recurring Billing, you must choose "Use or Create Category from UDF".

Import Criteria: Clients

This version of MaxPal processes Maximizer Clients only. Clients’ Contacts are ignored.

Marked Items

This option allows you to specify that only certain Maximizer clients be imported, depending on the value in one of the Maximizer user-defined fields. For example, it may be that you enter prospective customers into Maximizer and use a user-defined field to record “PROSPECT”. When that prospect becomes a qualified customer you may change “PROSPECT” to “CUSTOMER” or just blank it out. Normally, only CUSTOMERS will be imported into Pastel.

Select the Maximizer User-defined field you wish to use from the drop-down list. Type the text that must be contained in this field to qualify the client for import into Pastel. Note that the text you type in here must be exactly the same as the entry used in Maximizer (e.g. Y or YES). This field is not case-sensitive, so upper and lower case text are treated the same.

This feature uses all data types of Maximizer UDFs (Alphanumeric, Numeric, Table and Date). To avoid ambiguity, dates are represented in the format yyyy/mm/dd – note the two-digit month and day. A warning about Table-type UDFs: It is possible to tick more than one choice in Maximizer; if this is the case for any client, that record will be included if any of the ticked choices matches the required text.

All Items

This option will include all Maximizer Clients in the MaxPal import process.

Import Individual Clients by Name (as "LastName, Mr/Ms FirstName Initial")

Use this option if you bill individual clients under their own name rather than under their company name. If this option is off, they are imported as "Company Name". If there is no Company Name this option has no effect.

Add Individual Client Name to Postal Address

Use this option if your Pastel Invoice does not show the individual client's name. In this case the name will be added as the first line of the postal address.

Add Company Name to Postal Address

This option is an alternative to "Add Individual Client Name" (previous option). In this case the Company name and not the Individual Client Name will be added as the first line of the postal address. This applies to all Clients, not just Individual Clients.

UDF for VAT Number

Specify which Maximizer UDF (Alphanumeric) you want to use for the VAT Number to be transferred to Pastel, if there is one.

Get Pastel Postal Address from Maximizer's
Get Pastel Delivery Address from Maximizer's

These two combo boxes allow you to choose which Maximizer address is to be used for the respective Pastel address. Built-in options are:

  • Blank – Address will not be used (use this for Delivery Address if you do not do deliveries).
  • <Selected> – uses the Address that shows when you edit the item in Maximizer (recommended for Postal Address)
  • <First Alternate> – uses the first Address in the list that is not the one that shows when you edit the item in Maximizer.
  • *Main Address – uses the Address marked "*Main" in the list.

You can also type in the name of an address in Maximizer, provided that they are named the same for all contacts. For example, many people name the delivery address in Maximizer "Physical". If you do this consistently, then type "Physical" (without the quotes) in the combo box for the Delivery Address.

New Pastel Account Codes Have … Letters, then … Numbers

This allows you to specify the format of new Account Codes that MaxPal creates in Maximizer for export to Pastel. By default this is 4 letters, then 2 numbers, e.g. PAST07. The letters (the prefix) are the first letters of the surname or company name (blanks and special characters removed). The number is the one after the last one used for that prefix. After 99 (assuming 4 letters + 2 numbers format), the rightmost letter is incremented and the numbers start at 00 (e.g. VAND99 is followed by VANE00 or the next unused VANE number. ZZZZ99 is followed by AAAA00).

Link Pastel Account Code to Maximizer UDF

You must select a Maximizer UDF so that MaxPal can use it as the Pastel Account Code for linking Pastel Accounts to Maximizer.

Note 1: MaxPal will not fix Account Codes that are wrong in Pastel. You have to do this manually in Pastel using Change > Renumber Codes. The Client with the wrong account number will be imported as a new Pastel Debtor.

Note 2: The first time you open this tab on a new computer, you may get the message:

This occurs on modern machines (Windows 7 and later), on which the security limits access to the C: drive root folder. The temporary file needs to be written to another folder. If it does not already exist, create a folder C:\temp and then enter the folder name followed by a backslash, as shown above. Click OK.

When complete select Next >> and the "To Maximizer" Tab will appear.


"To Maximizer" Tab

This tab is hidden if you unselected the bottom checkbox "Transfer Pastel accounts fields to Maximizer ("To Maximizer" tab)" on the first ("Open") tab. This is the same as selecting the View menu and unselecting the option "To Maximizer".

Here you specify the names of Maximizer User Defined Fields that must be updated in Maximizer with the corresponding information from Pastel for all active Customers. This operates independently of whether checkboxes on the Open Tab are checked or not, i.e. you don't have to transfer Address Book information from Pastel to Maximizer, or vice versa, for the financial information selected on this Tab to be transferred.

There are 74 fields you can transfer, and Pastel Document Numbers and Dates can be filled in for Casual Billing and Recurring Billing.

There are three list boxes:

  • Pastel Data Fields – top left

  • Maximizer UDF (User-Defined Field) – top right

  • List of Selected Fields – bottom

To use them, select (click on) a Pastel Data Field (top left) and a Maximizer UDF (top right), and then click the Add button. The Pastel Data Field and Maximizer UDF will appear in the List of Selected Fields.

Note: MaxPal will only process items in the bottom list! If it is blank then no fields will be transferred from Pastel to Maximizer!

To remove an item from the bottom list, select it, and then click Delete.

Select an item in the bottom list, and click Edit to select the corresponding items in the top lists. You may then change one or both of them and click Replace to replace the selected item in the bottom list with the new selection from the top lists.

Pastel Data Fields – top left list

Pastel Document Numbers and Pastel Document Dates

These two fields are applicable only if Billing is used. The selected UDFs will be updated in Maximizer with the Pastel Document Number (e.g. Invoice Number) and the Document Date respectively directly after MaxPal creates the documents.

If an alphanumeric UDF is chosen then each new Number and Date is added to the start of the field, while items too long for the field are lost off the end. Thus the same UDF may be chosen for both the Document Numbers and Document Dates. Alternatively, a date field may be chosen for the Document Dates.

Note: Only Maximizer Alphanumeric User Defined fields can be used for Pastel Document Numbers; Alphanumeric or Date UDFs may be used for the Pastel Document Dates.

Account Balance and Customer Credit Limit

These were previously known as Customer Balance and Customer Credit Limit, and are the fields that previous versions of MaxPal were able to transfer. All the remaining fields are new.

Account Monthly Aging

Monthly Aging is balance aging done, as the name implies, by month. “Current” is the current month, “30 Days” is last month, “60 Days” the previous month, and so on. “120+” includes all the months prior to that. This concept appears in Pastel too, and should not be taken as literally 30 days, 60 days, etc. If we are in July, an invoice dated 1 July is current, whereas one dated the previous day, 30 June, appears in the “Aging 1 (’30 days’)” field.

Aging Note: For correct monthly aging figures it is important that Pastel is currently set to the correct period. The period in which Pastel is, and its end date, is shown directly under the top left list box if you click on an “Aging” item. If the end date is not the current month (highlighted in red), correct the period in Pastel and then quit and restart MaxPal.

Maximizer UDF – top right list

Only Maximizer Date, Numeric and Alphanumeric User Defined fields are shown in this list – Table-type fields are ignored. It is important that you check that you are putting the data from Pastel into a compatible UDF type in Maximizer. If you choose an incompatible type, the data will not be transferred. The following type matching can be used (Yes = can transfer, No = Can’t transfer):

 | From Pastel type:
To Maximizer UDF | Date | Number | Text | Y/N
Date | Yes | No | Yes if a date | No
Number | No | Yes | Yes if numeric | Yes (0=Y, 1=N)
Alphanumeric | Yes (yyyy/mm/dd) | Yes (as text) | Yes | Yes

List of Selected Fields – bottom list

If you do not want any information to be carried back to Maximizer from Pastel, then leave the bottom list blank.

MaxPal allows you to transfer the same Pastel field to more than one Maximizer UDF. Equally, it does not stop you from transferring several different (or the same!) Pastel fields to the same Maximizer UDF, but this only makes sense for Pastel Document Numbers and Pastel Document Dates, which are appended at the start of an Alphanumeric UDF when billing is done. In all other cases the alphabetically later Pastel field will overwrite the earlier one(s).

When complete, click Next >>. The bottom list will be checked and, if there are no errors, the next tab will appear. This will be the Transfer Tab unless you have Recurring or Casual Billing enabled, in which case it will be the next visible Billing Tab.


Recurring Billing Tab

This Tab appears when you click Next >> from "to Maximizer", or << Back from a following Tab, but only if Recurring Billing is enabled. If the Tab is not visible, check View > Recurring Billing.

Recurring Billing allows recurring invoices to be created automatically in Pastel at a given interval. The amount billed is tied to the Maximizer User-Defined Field (UDF) that contains the customer category ("To Pastel" Tab).

Billing Period

Choose the frequency of billing:

No Billing

This disables the features of this Tab. No billing is done.

If you never want to use Billing (not even as a demo) you can disable it: Click the [Hide Tab] button, or turn View > Recurring Billing off.

Annually

Annual Billing takes place once a year in the month before the anniversary of 'Date of Joining' UDF for existing members. New members are billed as soon as they appear.

Monthly

Monthly billing takes place once every month.

Bill On (when)

Today

This will cause the program to check for billing each time it is run. Billing will therefore tend to happen on the first working day of each month.

Last Day of Month / Last Weekday of Month

Billing is towards the end of the month.

If you miss end-of-month billing, set the PC's date back, and run again 'today'.

On or After Specific Date:

Billing is on a specific date. If it is missed, billing will take place when next the program is run, provided it is still in the same month.

Today is:

You change your Billing date here (Usually today’s date). The left Spin Button changes the day of the billing date and the right Spin Button changes the month. If your billing date is not today’s date it will ask you to confirm the date entered (when you click Next>>).

Billing Setup

Membership UDF

Here you choose a Maximizer User-Defined Field (UDF) that contains the membership type you want. This may be the same as the "Use/Create Category from UDF" you chose on the "To Pastel" Tab, or it may be a different UDF. For this purpose you can use only Table-Type UDFs. Items in this UDF will be listed in the list below (Price list for <UDF Name>) and you will then have to allocate a price (Inclusive of VAT) to each one.

In Windows 7 and later, Function ReadMaxTableList may be unable to write its temporary UDF Table List File to C:\ and will ask you to try another path. Enter an existing path that programs are allowed to write to (e.g. C:\PasMaxTemp\ if it still exists from your installation), and end the path with a backslash ("\").

Date of Joining

Annual Billing takes place in the month before the anniversary of 'Date of Joining' UDF for existing members. This must be a Date-type UDF, and is obligatory for Annual Billing. To bill immediately on joining, set the date of joining in Maximizer to next month (the current month is already “past” as far as billing is concerned).

Date Last Billed

This UDF is used to record when the member was billed: The program will update this when the Customer has been billed, so they are not billed again until the next time. This must be a Date-type UDF, and is obligatory for all Billing.

Price List

The billing amount depends on the Membership UDF (Membership Type) you selected just above. You should make sure that the pricing is correct. To change a price, click the item, then double-click it or click Edit Price. The price list is specific to the machine, not the Maximizer database, so more than one Maximizer database (with MaxPal on the same PC) will re-use identically named items.

From MaxPal version 11.11.1 prices are shown (and entered) including VAT. The program will automatically convert earlier, exclusive, prices by adding 14% and rounding to whole Rand – please check that the inclusive prices are correct! To enter prices without VAT, add "& VAT%" at the end of the exclusive price, e.g. 200 & 14%. The program will then calculate and save the inclusive figure, R228. Note that only one VAT code (and hence, percentage) can be used per run of MaxPal (see VAT Code below).

Also make sure that your billing frequency (period) is correct: By default it is one year for annual billing, one month for monthly billing. In the case of a longer period (e.g. a “three-year special”), you will need to set the period. To do this, click the item, then double-click it or click Edit Period and an Input Box will show: You must then enter a new period (digits only). On the Options menu, under Set Multi-Year Billing Options, you need to choose how MaxPal handles the date last billed.

In MaxPal version 12.12.0 we added the button "Read Logfile...". This feature is intended for use when you move MaxPal to another machine and don't feel like re-entering all the prices. It allows you to scan the Log File and get the most recent Membership Prices and Periods. All Descriptions found will replace those in the Price List on the right of the button. Descriptions found in the Log File that do not exist in the Price List may optionally be added.

Pastel General Ledger Code for Invoice

This is the Pastel General Ledger Code to be used on the Invoice. It must be exactly seven numeric digits, with no slash (e.g. 1000200, not 1000/200). If it is not a valid GL code, MaxPal will happily put it on the invoice but you will not be able to post the invoice in Pastel.

VAT Code

This is the Pastel VAT Code to be used on the Invoice. It must be two numeric digits, e.g. 01 for the first VAT code. If you click Next>> then <<Back, %VAT will show on the right side of your VAT Code.

Post directly to Statement (no Invoice Batch)

In the MaxPal Export Version, this option is always switched off...

MaxPal will create the invoices in Pastel, where they will appear in a batch: These then need to be posted: Log on to Pastel with the same password as you gave MaxPal, and use Process > Customers > Batch. Unposted invoices can still be changed. They do not appear on Statements until they have been printed and posted.

Cost Code

If there is a Pastel Cost Code to be used on the Invoice, enter it in the space provided. It may be numeric or Alphanumeric, a maximum of four digits.

Note: It is a good idea to backup your Maximizer and Pastel files before running MaxPal, particularly with Recurring Billing, in case the results are not what you anticipated.

Comments

To avoid billing suspended customers, unselect them using the Marked Clients UDF on the "To Pastel" Tab. Members suspended (thus not billed in the correct month) and then later reinstated, must be billed manually.

Check the log file frequently (File > View Log File) for error messages that will indicate why invoices have not been issued for certain members. Typical reasons are that they are in a membership category that has no price, or they have no category. If they appear in more than one category, the first one found will be used.

When complete select Next >>. MaxPal will warn you if it finds errors in your Recurring Billing setup.


Casual Billing Tab

This Tab appears when you click Next >> from Recurring Billing (or from "to Maximizer" if Recurring Billing is hidden), or << Back from Transfer, but only if Casual Billing is enabled. If the Tab is not visible, check View > Casual Billing.

Casual Billing allows Invoices, Quotes, Credits Notes, etc to be created on demand in Pastel. The amount, General Ledger Code, and VAT code are obtained from Pastel's Inventory.

If you never want to use Casual Billing (not even as a demo) you can disable it: Click the [Hide Tab] button, or turn View > Casual Billing off.

Set Up Billing

Choose how data in a Maximizer UDF creates a document in Pastel: "If this UDF (choose UDF) contains (text) then create (Pastel document type) using Pastel Inventory Item (choose item)."

1. If this UDF…

Choose the Maximizer User-Defined Field in which MaxPal should look for a code. You may use a Table, Numeric, or Alphanumeric UDF. Alphanumeric is usually easiest for the user.

2. Contains

Insert the code here. Upper and lower case are treated the same. Do not use a code that contains another code, e.g. If you used a code of SM1, then using a code of M1 too will cause SM1 to be ignored. When the code has been found and the document created, the code will be removed from the UDF to prevent duplicate billing. Tip: Maximizer UDF names starting with the characters "!" and "*" sort at the top.

3. Then Create

Choose the Pastel Document type to be created when the code is found in the UDF. Choose from: Quote, Sales Order, Batch Invoice, Batch Credit Note, and Batch Debit Note, Post Invoice. "Quote" may be used to create Pro-Forma Invoices (VAT is not payable when Quotes are issued as it is with Invoices). Any items found for the same document type will be placed on one document as separate lines. See Note below for the difference between "Batch" and "Post" Documents.

4. Pastel Inventory Item

Choose the Pastel Inventory Item to be placed on the document when the code is found in the UDF. You must set up the Pastel Inventory in advance with the correct price, General Ledger Code, and VAT code. If these change, MaxPal will always pick up the latest values from the Pastel Inventory.

Add

This button inserts the Billing line (set up in steps 1 to 4 above) into the Billing List. The description and price are shown for information only: The latest values will be read from the Pastel Inventory (what is important is the <Pastel Item Code>).

Replace

This button inserts the Billing line (set up in steps 1 to 4 above) into the Billing List, replacing the selected item in the list. This is normally done after using the Edit button (below).

Edit

To change a line in the Billing List, click on the line and then the Edit button. This inserts the Billing line items into steps 1 to 4 at the top of the window. Change whatever is required, then click Replace to replace the line in the billing list, or Add to add the changed line as a new line.

Delete

This button removes the selected Billing line from the Billing List.

UDFs or Text for Invoice Messages

Pastel provides three user messages (Message1 to Message3) for use on Documents. MaxPal can use two of these, either as a message from a UDF (unique to each Client), or as a generic message typed in as text. To use text rather than a UDF, select <TEXT> in the Combo Box.

When complete select Next >>. MaxPal will warn you if it finds errors in your Casual Billing setup.

Note: "Batch" versus "Post" Documents

Batch: MaxPal will create the documents in Pastel, where they will appear in an unprinted batch: They must then be posted from Pastel, using Process > Customers > Batch > Print > Print Outstanding. Unposted invoices can still be changed. They do not appear on Statements until they have been printed and posted.

Post (not available in MaxPal 7.8 and 8.8): MaxPal will create the documents in Pastel and post them. Pastel will treat them as if they have already been printed and they will appear on Statements. They cannot be changed but can be reprinted if necessary. To reprint in Pastel, use View > Customers > Print Document > Invoices. Your accountant may not like you using this option, as it lets you avoid printing invoices.

Comments

It is a good idea to backup your Pastel files before running Casual Billing, in case the results are not what you anticipated.

The Billing List is processed in the order displayed (alphabetically). Thus, if there are multiple line items on one document, this is the order in which they will appear on the document.

If you do not want Pastel inventory items to be treated as stock, create them as "Service" items.

To avoid billing suspended customers, unselect them using the Marked Clients UDF on the "To Pastel" Tab.


Transfer Tab

Save Template

This option has been included so that you may save the current settings into a template file for later re-use. This is particularly useful if you have more than one set of Pastel accounts or multiple Maximizer databases. See the section on Using Templates (next) in this Help File.

Enter a file name for your template and click OK.

Import

Click the Import button on this Tab to begin the import/export process. You will be asked to confirm your selection; then the import from Maximizer to Pastel will take place (with any Billing), as well as the Export from Pastel to Maximizer.

If, on the first (“Open”) Tab, you chose the option All Companies & Individuals, there will be a delay before the first client is processed, as MaxPal tells Maximizer to search for all Companies and Individuals and put the list into the Address Book.

If you want to Pause, Stop, or Abort the transfer, click the Pause button. You will be given the option to Continue the transfer, Stop it (keep changes) or, Abort (lose all changes including Billing). If you abort the Import process, you do not lose the Maximizer changes; hence the two databases (maximizer and Pastel) may not correspond properly.

Financial Year: When it creates its first invoice (or other Pastel document), MaxPal will check whether the current date falls before Pastel's current Year End. If you have run past the end of the financial year in Pastel and not yet closed it and moved to the next one, MaxPal will turn off billing for this session and an error will be logged to the log file.

When using Peer MaxPal the program will show messages when it is adding or updating Pastel debtors into Maximizer.

At the end of the first part of the import, MaxPal will update the names of all the Maximizer Clients that must change to match Pastel.

Transfer Pastel Debtors to Maximizer (Peer MaxPal, not currently available):

This transfer only takes place if you selected “Add new Pastel Debtors” on the first (“Open”) Tab.

If you also selected “Check ALL Maximizer Clients”, you have to wait while MaxPal sets up its list of Pastel Account Codes already in the Maximizer UDF:

Thereafter the transfer takes place. You are shown a progress bar and, above it, the numbers involved (see top picture). Click Pause if you want to pause the transfer for any reason: You can then either carry on or stop the transfer.

Log File

At the end of the run, or if you stop it, MaxPal gives you the option to open the log file. This is recommended if there were any errors or mismatches. See Audit Trail. It also gives you the CSV file name(s) used for the list of Debtors (if any) and the list of Invoices (if any).

Your job is not yet complete: MaxPal has created CSV files for you to import into Pastel. It is now up to you to import them. Use Pastel's File > Import. Click here for More details.


Using Templates

Creating Templates

Templates are files that store your MaxPal settings to save you having to go through the Wizard settings each time you run MaxPal. You can have several templates available, each one applicable to its own set of accounts or unique circumstances.

For example, in template APEX003, Pastel Company APEXCO may link to Maximizer Client database DATA003 and only Clients marked as CUSTOMER should be imported into Pastel. Other templates could similarly define other Pastel companies, other Maximizer databases and other settings.

As another example, we might link the same Maximizer to the same Pastel, but want to treat some clients differently to others: In this case we could mark them differently and import using different templates. Clients marked "C" could be imported with the company name in their address and billed monthly, clients marked "P" could have the individual contact name in the address and be billed annually.

To save your current settings into a template, click on Save Template on the Transfer Tab. Alternatively, you can use the File Menu and choose Save Template.

Choose or enter a file name and click OK. Note that a template may be saved at any time, but it will only be usable once all the Tabs have been completed correctly.

Opening Templates

To open a template, select the File menu and choose Open Template. Enter or browse for the template file you wish to use, and click OK. The saved setting will be applied in MaxPal.

At the end of a successful transfer, the latest settings are automatically saved to the file Current.mtf on the MaxPal program folder, with a backup (PasMax.mtf) on the Pastel data folder.

.

Combining Templates

The File Menu option "Import Parts of Template" can be used to open a template piecemeal. MaxPal will ask you confirm whether you want to import each Tab's data in turn. This allows you to combine different Templates, for example billing options from one with file selection from another.

You can also edit templates using a text file editor or word processor. The file format is self-explanatory, but use caution and keep backups of previous versions!

Running Automatically from Templates

The real benefit of using templates is to be able to run MaxPal from a template file automatically. To do this you need to have first saved a template, e.g. “myImport.mtf”.

Now you can create a shortcut for MaxPal on your desktop by right clicking anywhere on your desktop and selecting New and then Shortcut.

In the Command Line text box, type "C:\Program Files\MaxPal\Pas7Max8.EXE" C:\myImport.mtf (or the correct path to MaxPal plus a space and the correct path to your template file). Note the double quotes (") around items containing spaces. Pas7Max8 is version 7.8 and Pas8Max8 is version 8.8. Click Next.

Select a name for your shortcut, e.g. MaxPal MyImport and Click Finish. In a few seconds you should see the familiar red cherries of MaxPal come up on your desktop.

Now when you double-click on the template shortcut to MaxPal, it uses the specified template file and starts to import straight away. You will not have to go through all of the settings and selections in the Wizard. You must, however, have Maximizer open and displaying the correct Address Book!

To modify a shortcut later, right click it and choose Properties to change the command line (Target), or Rename to change the name.

Command Line Switches:

These can be added, in any order, at the end of the command line to induce special behaviour.

/1 or /C = “One Shot”: Single current record (run with current Maximizer record only). Also useful for running from a toolbar button in Maximizer, probably with /Q.

/N or /NOAUTO = Suppress AutoRun: Ignore background mode and templates, if set up.

/Q or /QUIT = “Quit at End”: End program after import.

/S or /SILENT = “Silent Mode”: No Notification at end of run.


Running In Background Mode

MaxPal gives you the ability to run automatically in “background” mode. This is a special mode whereby MaxPal appears on your Task Bar and periodically scans for new information. Because MaxPal is a true 32-bit application, there should be little degradation of speed during the import process.

Select the File menu and choose Run in Background

Background Mode at Startup

Switch this option on or off depending on the manner in which MaxPal is to run. If the switch is on, MaxPal updates Pastel’s Customer information automatically at set time intervals. When the switch is off, the Wizard is displayed each time MaxPal is run.

Notify After Update

Switch this on if you want MaxPal to inform you that Pastel Customers have been updated after the background Transfer has taken place. You will only be notified if information was actually changed or Pastel Documents were created.

Update Method

Here you specify when to rescan for changes. You have the choice of a timed interval (e.g. every hour), or a time of day (e.g. 19:30 for 7:30 PM each day). Select the desired method and type in the interval in hours and minutes, or the time of day using a 24-hour clock.

Template File

You need to tell MaxPal which template file or files to use in background mode. Click on the search […] button to browse for a template file. Select the template that you wish to use, and then Click Open. Your last successful run will have been saved as "Current.mtf" on the MaxPal program folder, with a backup (PasMax.mtf) on the Pastel data folder.

To remove a template file from the list (but not delete the file from disk), click the file and then the [X] button.

Note!

You may add as many templates to the above list as you require - this is to facilitate multiple Pastel databases, or different selection criteria. During background mode, templates will be used in the sequence displayed in the list.

Click OK to start running in background mode. You will notice that the MaxPal Window disappears and a cherry icon appears in the System Tray on your Task Bar. This is normally found at the right-hand end of the Task-Bar in the same place as your time and/or volume icon. If you position your mouse pointer over this icon you will see a tool tip that reads “MaxPal – (Next Import Time)", indicating the time at which MaxPal will next scan your Maximizer database for an import into Pastel.

Returning to Normal Mode and Changing Intervals

Double-click the System Tray icon to return to normal mode. You may also double right-click on the icon to change the Background Mode options. Tip: if you are in normal mode and you want to go back into background mode with the current background settings, just double click the cherries at the bottom right of the MaxPal main Window.

If you use Background Mode together with Running Automatically on Start-Up, you can set up a fully automatic operation whereby MaxPal starts up when the PC does, and waits in background to perform specified imports at set intervals or times. You must, however, have Maximizer open and displaying the correct Address Book when MaxPal runs!


Export Logic, Importing CSV Files

Import Logic

<<Previous – Next>>

This section explains exactly how MaxPal uses Maximizer client information and how this information is used to update Pastel.

During the Import process the following happens:

You must have Maximizer open and displaying the correct Address Book when MaxPal runs.

If Current Client is chosen on the Open Tab, MaxPal processes only one record (the current client). If Current List is chosen, MaxPal scans all clients currently visible in Maximizer’s Address Book window. If All Companies & Individuals is chosen, MaxPal tells Maximizer to search for all Companies and Individuals (there may be a delay) and then scans the resulting list.

MaxPal scans the displayed Maximizer Address Book from the beginning in the order displayed, processing Companies and Individual Clients, and looking for records that fit the Import Criteria.

When one is found, if you selected the option on the first Tab "Write Import files for Pastel (CSV files on Pastel folder)", MaxPal writes the details of the Maximizer client to the CSV file for Pastel Debtors.

The Pastel Account Code UDF in Maximizer, which you chose on the "To Pastel" Tab, is used as the Pastel Account Code. This ensures that the Maximizer Client is matched to the correct Pastel Customer.

During the process, Recurring Billing and Casual Billing are also done: The required invoice information is written to CSV file for importing into Pastel.

Once the Maximizer information and the Invoice data has been written to the CSV files, MaxPal goes to the Pastel Customer's data and copies its information from Pastel into the User-Defined Fields (UDFs) in Maximizer selected on the "To Maximizer" Tab, for that record. The exceptions to this are the Pastel Document (Invoice) Dates, which are done as part of the Billing process. If there are a lot of Pastel Customers and a lot of UDFs selected, this part of the process can be time-consuming.

If someone is logged on to Pastel with the same logon used by MaxPal, MaxPal may appear to "hang" during the process as it waits patiently for its logon to become available.

The next Maximizer record is then processed, until the last record has been done.

At the end of the export, MaxPal will tell you the names of the CSV files used. They are always located on the Pastel data folder. Files are never overwritten. The list of Maximizer Clients and Invoices (if any) appears in the log file. Since Pastel allocates its invoice numbers when the invoice file is imported, invoice numbers are not known at this stage.

Importing Maximizer Data from CSV file into Pastel Debtors

Maximizer Customers will be written to file MaxCus01.csv. If the file exists, MaxPal will use MaxCus02.csv or the next available number.

Import these files into Pastel: In Pastel, click File (menu) > Import and Export, Import Customers.

Import the files in order of date created.

After successfully importing the files, delete them.

Importing Invoices from CSV file into Pastel

Invoices created by MaxPal will be written to file MaxInv01.csv. If the file exists, MaxPal will use MaxInv02.csv or the next available number.

Import these files into Pastel: In Pastel, click Customers (menu) > Invoices, and Import Batch. You should check each batch and then print and post it.

Import the files in order of date created.

After successfully importing the files, delete them.

How Maximizer Names and Addresses transfer to Pastel

Pastel has a single “Name” field for the debtor name, and five Address lines. Maximizer has specific fields for each part of the name and address. A transfer from Maximizer to Pastel is therefore simpler than the reverse.

Names:

For Company Clients, the company name becomes the Pastel Name. For Individual Clients this applies too, unless you chose “Import Individual Clients by Name (as "LastName, Mr/Ms FirstName Initial")”, in which case the Pastel Name composed as "LastName, Mr/Ms FirstName Initial".

Telephone Numbers and e-mail address:

MaxPal searches the four Telephone numbers in Maximizer for the description "TEL" or "MAIN". The first one found becomes the Pastel Telephone number. The first Number with description "FAX" goes to the Pastel Fax number. The first "CEL", "CELL", "MOBIL" or "MOB" goes to Pastel’s Mobile phone. If there is an unidentified Maximizer phone and Pastel’s Telephone number is empty, it is put into Pastel’s Telephone number (with its description).

Maximizer’s first non-blank e-mail address is transferred to the single e-mail address available in Pastel.

Addresses:

The Export version of MaxPal does not transfer address lines from Maximizer. If you fill them in in Pastel, they will be left alone when you import new data from the CSV file.


Configuring MaxPal to Run Automatically at Start-up

Run Automatically at Windows Start-up

<<Previous – Next>>

You may configure MaxPal to start automatically the next time your computer is switched on. Select the File menu and check the "Run at Windows Startup" option. The default for this option is Off.

If you use this together with running in Background Mode, you can set up a fully automatic operation whereby MaxPal starts up when the PC does, and waits in background to perform specified imports at set intervals or times.

You must, however, have Maximizer open and displaying the correct Address Book when MaxPal runs!


Audit Trail

MaxPal includes an audit trail that lists every change it has made to your Pastel files. This file is called PASMAX.LOG and is placed in the same directory as your set of Pastel accounts. It is a plain text file.

To open the file, click the File menu and select View Log File. The file will open in Notepad or, if it is too large for Notepad, in WordPad. Here you can print the file, delete old lines and then save the file. To delete the entire contents, press Shift+Ctrl+End to select everything, then Delete. Close Notepad (or WordPad), clicking Yes when it asks whether you want to save the changes.

Note! This file could grow huge if left untended. To prevent this there is a File menu option "Limit Log File Size". Click this and you will be asked: "Limit Log File Size to how many Kilobytes?" Enter a number, or 0 for no limit. For your protection, this option is on by default and set at 1000 KB. When a MaxPal import is started and the log file's size is found to exceed the limit, the file is renamed to PasMax0.LOG (any previous PasMax0.LOG is deleted) and a new PasMax.LOG is started.

Sample Log File (commented):

MaxPal 8.8.7 Run at 28 Nov 2005 11:42 from Command Line: Nov15a.mtf/s
=========================================================================
MaxPal 9.9.10 Run at 22 Apr 2008 10:36 by User.
===============================================

“from Command Line” means this was run with a template name in the shortcut. If you run MaxPal manually it will say “by User”. /S is the command line switch for “Silent Mode”.

Maximizer Data: SAChefs = C:\TestData\SAChefs\ChefMax

The Maximizer database name is given, then “=”, then the path.

Pastel    Data: c:\TestData\SAChefs\ChefPas\

The settings that were used are given as confirmation:

Use/Create Category from UDF: Membership Type
Import Marked Items where UDF Pastel Client = "Y"
Import Individual Clients by Name (as "LastName, Mr/Ms FirstName Initial")
Maximizer Account Number UDF: Membership no.

Recurring Billing ON.
21 tries to get Maximizer Record Count (8494).
2 tries to get to top Maximizer Record <981026003452405741300C>
Updating Maximizer User-Defined Fields from Pastel:
  1: Account Balance => Account Balance (Number)
  2: Customer Credit Limit => Credit Limit (Number)
Aging Note: Pastel is in Period 8 ending Oct 2007

The Export starts here:

Created  Pastel Customer - a/c 13179 : University of Johannesburg
Created  Pastel Customer - a/c 13080 : Warwick's Chef School
Created  Pastel Customer - a/c 16157 : Zak Hotel School
Created  Pastel Customer - a/c 16229 : Zen Africa Chef Academy of Food & Wine
Created  Pastel Customer - a/c 06015 : Cloete, Mr. A C
Created  Pastel Customer - a/c 15596 : Khota, Aadil
Created  Pastel Customer - a/c 12677 : Mehlomakhlu, Abbisy
Created  Pastel Customer - a/c 14687 : Rokib, Mr. Abdul
Created  Pastel Customer - a/c 16185 : Abrahams, Abdullah
Created  Pastel Customer - a/c 16146 : Mohamed, Abdussalaam
Created  Pastel Customer - a/c 01513 : Spectank (Pty) Ltd

If Invoicing is ON, we will see lines like this:

Creating Invoice for a/c 01513: Spectank (Pty) Ltd - Date of Joining 23 May 2005 (May 23, 2005), Date Last Billed 30 Apr 2007
# Debug 1: Date Billed OK on Maximizer: Wrote 22 Apr 2008 and got April 22, 2008
Invoice Batched  (=877.19|1000) Membership Type: Corporate (Renewal)

Final Comments – note the CSV File details:

The transfer was stopped at 22 Apr 2008 12:26
2251 Pastel Debtors were written to file c:\TestData\SAChefs\ChefPas\MaxCus02.csv
8 Invoices were Created and written to file c:\TestData\SAChefs\ChefPas\MaxInv02.csv
  Academy of Chefs (Honorary) <no billing> (1 Year)
  Academy of Chefs     175.44    (1 Year)
  Associate - 3 Year   263.16    3 Year
  Associate     131.58       (1 Year)
  ...
  Professional Member  87.72     (1 Year)
  Resigned     <no billing>      (1 Year)
  Returned to Sender   0     (1 Year)
  Suspended (non payment)    0   (1 Year)
  Training Provider    877.19    (1 Year)
Updated 2 Maximizer User-Defined Fields for 2252 Maximizer Clients from Pastel.
(The Billing Demo is limited to 30 Invoices (17 left), and 5 at a time)

Companies and Individual Clients in the Maximizer Address Book window are done in the order displayed.

The Pastel account numbers are created from the specified number of first characters of the name plus the specified number of digits, if the account numbers were not pre-set up in the Maximizer UDF.


Multi-user Issues

<<Previous – Next>>

If you intend to use Pastel concurrently with MaxPal, turn Pastel's security on (by giving User 0 a password) and reserve a logon for MaxPal that has Supervisor-Level rights. You will not be able to log on to Pastel using a logon that MaxPal is using at the same time.

Do not to log on to Pastel using the same logon that MaxPal uses, while MaxPal is running. It may appear to "hang" until you log off again.


Menus

The File Menu:

Open Template: This item is used to open a whole template.

Import Parts of Template: This item is used to open a template piecemeal. MaxPal will ask you confirm whether you want to import each Tab's data in turn. This allows you to combine different Templates.

Save Template: This is used when saving templates. See Using Templates..

View Log File: Open the Audit Trail log file in Notepad or Word Pad. See Audit Trail.

Limit Log File Size: Specify the size in Kilobytes that the Audit Trail log file is allowed to reach before a new one is started.

Run in Background: This sets MaxPal to Run in Background Mode and do transfers at pre-set times using specified Templates. See Run in Background Mode..

Run at Windows Startup: When checked (ticked), this sets MaxPal to run when Windows starts. See Running Automatically on Start-Up.

Exit: Close the program.

The View Menu:

License Warnings: If this is checked (the default), you get a warning when your run exceeds 90% of the Customers for which you have registered your MaxPal. With this unchecked, you will be warned only when you try to exceed your license.

To Maximizer: If checked (default), this causes the ”To Maximizer” Tab to appear (between the "To Pastel" and "Recurring Billing" Tabs). Uncheck this if you don't want to copy any financial data from Pastel to Maximizer.

Recurring Billing: If checked (default), this causes the Recurring Billing Tab to appear (between the "To Maximizer" and "Transfer" Tabs). Uncheck this if you don't want to use Recurring Billing, not even as a demo.

Casual Billing: If checked (default), this causes the Casual Billing Tab to appear (between the "To Maximizer" and "Transfer" Tabs). Uncheck this if you don't want to use Casual Billing, not even as a demo.

The Options Menu (debugging, etc):

Pastel Setup: Here you can set settings that will be carried through to Pastel for each new or changed Maximizer Client:

The settings are:

  • Document Printing: "Do not change the Settings", "Print Document", "Email Document", "Print and Email Document", "Email if possible, otherwise Print".

  • Statement Printing: "Do not change the Settings", "Print Document", "Email Document", "Print and Email Document", "Do not Print and Email Document", "Email if possible, otherwise Print".
  • Statement Messages: "Do not change the Settings", "Print Oldest Terms Message", "Print First Terms Message"

Debugging: This allows you to set extra logging that may be useful to the Developers in solving problems with your MaxPal. The debugging level is set to 0 by default. If you ended MaxPal while debugging was set to a non-zero value, then when it starts again it will allow you to change or confirm this setting.

Keep Maximizer Visible: Use this to see what MaxPal is doing with Maximizer, but do not interfere with Maximizer while MaxPal is running! (Normally, MaxPal hides Maximizer during the transfer process) This setting is not remembered for future runs.

Set Multi-Year Billing Options: This option applies only to Annual Recurring Billing with a multi-year option, and lets you explicitly choose one of the options listed below, which will then appear ticked on the menu:

Must Multi-Year Billing Falsify the Date Billed?
"Yes" = Set Date Billed into the Future – When a member is billed for a multi-year special, the date billed is set as the real date billed plus the period of the special minus 1 year, e.g. Billing on 30 June 2008 for a three-year membership, the date last billed will be set as 30 June 2010 (= 2008 + 3 -1) so they will be billed again in 2011. This allows you to change a member's Category at any time, because they will not be billed until their current membership expires. It is the safest option, but the date last billed is only accurate for one-year Categories.
"No" = Use Real Date Billed + Years of Special – This records the true date billed. For multi-year memberships it uses the real date last billed and adds the number of years of membership to see if it is time to bill again. In this case you must not change the member's Category until the last year of their membership: Say they were billed for a three-year membership on 30 June 2008. They must be billed again in 2008 + 3 years = 2011. However you now change their category to a one-year membership, so the program calculates 2008 + 1 year = 2009 for next billing, and bills prematurely in June 2009.
"Cancel" = No, and Ignore Year of Future Date Billed – Use this option if you are changing from the 'Yes' to the 'No' option, i.e. going from false future dates billed to true dates billed (also check all multi-year memberships to see if they really should be billed, and remove them from the batch if not).

The remaining options on the menu will be ticked depending on the Multi-Year Billing Option. You can change it directly by clicking on a different option: Choose carefully, because changing later involves manual checking of the billing.

  • Set Date Billed into Future
  • Use Real Date Billed + Period
  • Ignore Year of Future Date Billed

The Help Menu:

Contents: This gives you help on how to use MaxPal (this file).

What's New? This gives you the latest changes to MaxPal.

Register: This opens the MaxPal registration form.

About: This tells you about the MaxPal version number, licensing information, and compatible products. It has a link to the web site. Double-click the License Conditions to see the development team's names.


Errors

Errors and Problems – Frequently-Asked Questions

<<Previous

While not exhaustive, this list of possible errors may help to locate the source of the problem:

BTrieve Status Problems:

Q: I got this error or similar:

Unexpected BTrieve Status in Sub GlobalIO - Program Cannot Continue!
BTrieve Status = 22 (Data Buffer Length is too short)

A: Have you upgraded your Pastel Partner to a newer version? If so you probably need a new version of MaxPal. Sage Pastel constantly changes the data file structures, often apparently on whim or just to make life difficult for third-party developers. Even interim releases can have file structures that are incompatible with earlier releases of the same main version. For example, the files of version 2007 9.2.1 are incompatible with those of earlier versions of 2007, and the CustSuppParameters table in version 11.97.4 is incompatible with earlier versions of 2011.

If the MaxPal web page does not contain a newer version of MaxPal, e-mail the developers the full text of the error message. The "No" choice will allow you to copy the error message to the clipboard, for pasting into your e-mail. They will also want a zipped copy of your Pastel database for testing purposes.

Contacts Problems:

Q: My Contacts did not Import even though I marked them.

A: MaxPal no longer transfers Contacts the way older versions used to do. Changes in the technology have made this infeasible. It only does Maximizer Clients. Sorry!

Maximizer Database Problems:

Q: On start-up or when I click the “Next >>” button, I get the message:
The Database name could not be found.

You may have had more than one Maximizer running.

You can proceed with Database path:

<database path>

or close all copies of Maximizer and reopen the correct Database.

Would you like to close MaxPal and reopen the correct Database? (Yes/No)

A: You probably have had more than one Maximizer running with different databases open. This prevents MaxPal finding the database name, although the path may be correct. Close all copies of Maximizer except the one you want to run MaxPal with. Click Yes, close MaxPal, start it again, and proceed. If you are sure the path is correct for the database you want, you can click No and proceed.

Q: When I click the “Next >>” button, I get the message:
In your previous run you were using the Maximizer database: <old database path>

Now you are using: <new database path>

Is this OK? (Yes/No)

A: This is a check performed by MaxPal to stop you accidentally running it with the wrong Maximizer database. Check if Maximizer is open with the correct Address Book: It is possible that you have opened the wrong one. Click Yes if you are sure it is the right one. If not, click No, which will take you back to the first tab. Select the correct database in Maximizer and proceed.

Aging Note on "To Maximizer" Tab

Q: On the "To Maximizer" Tab I see this message (or similar):

Aging Note: Pastel is in Period 1 ending Mar 2007

A: Click here for an explanation.

<<Previous ~ Start Over>>